﻿using Microsoft.AspNetCore.DataProtection.KeyManagement;
using System;

namespace WF_WebAdmin.Converter
{
    public class QuoteDTO
    {
        public int Id { get; set; }
        public string Content { get; set; }
        public int Likes { get; set; }
        public string Langue { get; set; }
        public bool IsValide { get; set; }
        public string? Reason { get; set; }
        public int IdCaracter { get; set; }
        public int IdSource { get; set; }
        public int? IdUserVerif { get; set; }

        public QuoteDTO(int id_quote, string content, int likes, string langue, bool isValide, string? reason, int id_caracter, int id_source, int? id_user_verif)
        {
            this.Id = id_quote;
            this.Content = content;
            this.Likes = likes;
            this.Langue = langue;
            this.IsValide = isValide;
            this.Reason = reason;
            this.IdCaracter = id_caracter;
            this.IdSource = id_source;
            this.IdUserVerif = id_user_verif;
        }
    }
}
